Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.domain
Interface IEssGroup

All Superinterfaces:
  IEssBaseObject, IEssExtendedObject, IEssProperties

public interface IEssGroup
extends IEssExtendedObject, IEssProperties

The IEssGroup is a group of users.

Nested Class Summary

Nested classes inherited from class com.essbase.api.base.IEssProperties
`IEssProperties.EEssPropertyMode`

Field Summary
`static int` | `PROP_COUNT_USERS`
`static int` | `PROP_DESCRIPTION`
`static int` | `PROP_EMAIL_ADDRESS`
`static int` | `PROP_NAME`
`static int` | `s_countProperties`
`static IEssValueAny.EEssDataType[]` | `s_propDataTypes`
`static IEssProperties.EEssPropertyMode[]` | `s_propModes`
`static java.lang.String[]` | `s_propNames`

Method Summary
`void` | `addUser(IEssUser user)` Adds a user to this group.
`IEssUser` | `addUser(java.lang.String userName)` Adds a user to this group.
`void` | `addUsers(IEssIterator users)` Adds a list of users to this group.
`IEssIterator` | `addUsers(java.lang.String[] userNames)` Adds a list of users to this group.
`void` | `delete()` Deletes this group.
`int` | `getCountUsers()` Gets the count of users in this group.
`java.lang.String` | `getDescription()` Gets the group description.
`java.lang.String` | `getEmailAddress()` Gets the group email address.
`java.lang.String` | `getName()` Gets the group name.
`IEssIterator` | `getUsers()` Gets the list of users in this group.
`void` | `refreshPropertyValues()` Refreshes the property values.
`void` | `removeUser(IEssUser user)` Removes a user from this group.
`void` | `removeUser(java.lang.String userName)` Removes a user from this group.
`void` | `removeUsers(IEssIterator users)` Removes a list of users from this group.
`void` | `removeUsers(java.lang.String[] userNames)` Removes a list of users from this group.
`void` | `setDescription(java.lang.String desc)` Sets the group description.
`void` | `setEmailAddress(java.lang.String emailAddress)` Sets the group email address.
`void` | `updatePropertyValues()` Updates the property values.

Methods inherited from interface com.essbase.api.base.IEssExtendedObject
`clearClientCache, getParent, getParentBase, isClientCachingEnabled, setClientCachingEnabled`

Methods inherited from interface com.essbase.api.base.IEssProperties
`getCountProperties, getPropertyDataType, getPropertyDataType, getPropertyDataTypes, getPropertyId, getPropertyMode, getPropertyMode, getPropertyModes, getPropertyName, getPropertyNames, getPropertyValueAny, getPropertyValueAny, setPropertyValueAny, setPropertyValueAny`

Field Detail

### PROP_NAME

    public static final int PROP_NAME

See Also:
  Constant Field Values

### PROP_DESCRIPTION

    public static final int PROP_DESCRIPTION

See Also:
  Constant Field Values

### PROP_EMAIL_ADDRESS

    public static final int PROP_EMAIL_ADDRESS

See Also:
  Constant Field Values

### PROP_COUNT_USERS

    public static final int PROP_COUNT_USERS

See Also:
  Constant Field Values

### s_countProperties

    public static final int s_countProperties

See Also:
  Constant Field Values

### s_propNames

    public static final java.lang.String[] s_propNames

### s_propDataTypes

    public static final IEssValueAny.EEssDataType[] s_propDataTypes

### s_propModes

    public static final IEssProperties.EEssPropertyMode[] s_propModes

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the group name.

  Specified by:
    `getName` in interface `IEssExtendedObject`
  Returns:
    The group name.
  Throws:
    `EssException` - if an error occurs.

### getDescription

    public java.lang.String getDescription()
                                    throws EssException

  Gets the group description.

  Returns:
    The group description.
  Throws:
    `EssException` - if an error occurs.

### setDescription

    public void setDescription(java.lang.String desc)
                        throws EssException

  Sets the group description. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `desc` - The group description.
  Throws:
    `EssException` - if an error occurs.

### getEmailAddress

    public java.lang.String getEmailAddress()
                                     throws EssException

  Gets the group email address.

  Returns:
    The group email address.
  Throws:
    `EssException` - if an error occurs.

### setEmailAddress

    public void setEmailAddress(java.lang.String emailAddress)
                         throws EssException

  Sets the group email address. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `emailAddress` - The group email address.
  Throws:
    `EssException` - if an error occurs.

### getCountUsers

    public int getCountUsers()
                      throws EssException

  Gets the count of users in this group.

  Returns:
    The count of users.
  Throws:
    `EssException` - if an error occurs.

### refreshPropertyValues

    public void refreshPropertyValues()
                               throws EssException

  Refreshes the property values. The JAPI cache for this object is refreshed with the latest values from the server, so that all the getXXX() methods will return the latest values.

  Specified by:
    `refreshPropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### updatePropertyValues

    public void updatePropertyValues()
                              throws EssException

  Updates the property values. The changes made to this object via setXXX() methods will become effective only after you invoke updatePropertyValues().

  Specified by:
    `updatePropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### addUser

    public IEssUser addUser(java.lang.String userName)
                     throws EssException

  Adds a user to this group.

  Parameters:
    `userName` - The user name.
  Returns:
    The user.
  Throws:
    `EssException` - if an error occurs.

### addUser

    public void addUser(IEssUser user)
                 throws EssException

  Adds a user to this group.

  Parameters:
    `user` - The user.
  Throws:
    `EssException` - if an error occurs.

### removeUser

    public void removeUser(java.lang.String userName)
                    throws EssException

  Removes a user from this group.

  Parameters:
    `userName` - The user name.
  Throws:
    `EssException` - if an error occurs.

### removeUser

    public void removeUser(IEssUser user)
                    throws EssException

  Removes a user from this group.

  Parameters:
    `user` - The user.
  Throws:
    `EssException` - if an error occurs.

### addUsers

    public IEssIterator addUsers(java.lang.String[] userNames)
                          throws EssException

  Adds a list of users to this group.

  Parameters:
    `userNames` - The user names.
  Returns:
    The list of users added (each of type IEssUser).
  Throws:
    `EssException` - if an error occurs.

### addUsers

    public void addUsers(IEssIterator users)
                  throws EssException

  Adds a list of users to this group.

  Parameters:
    `users` - The users.
  Throws:
    `EssException` - if an error occurs.

### removeUsers

    public void removeUsers(java.lang.String[] userNames)
                     throws EssException

  Removes a list of users from this group.

  Parameters:
    `userNames` - The user names.
  Throws:
    `EssException` - if an error occurs.

### removeUsers

    public void removeUsers(IEssIterator users)
                     throws EssException

  Removes a list of users from this group.

  Parameters:
    `users` - The users.
  Throws:
    `EssException` - if an error occurs.

### getUsers

    public IEssIterator getUsers()
                          throws EssException

  Gets the list of users in this group.

  Returns:
    The users (each of type IEssUser).
  Throws:
    `EssException` - if an error occurs.

### delete

    public void delete()
                throws EssException

  Deletes this group.

  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD